post
https://api-sandbox.qorcommerce.io/v3/gift/refund
refund a Gift Card transaction
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Apply a full or partial refund on a transaction associated with a gift card.
Parameters
The following parameters are available to refund a gift card transaction.
| parameter | description | required |
|---|---|---|
| mid | the Merchant ID (MID) assigned by QorCommerce or your merchant service provider (MSP) | YES |
| amount | the amount to refund back to the gift card (load) | YES |
| creditcard | the gift card account number | YES |
| giftcard | set integer value default to 7 for refund | YES |
Example
The following JSON example provides test values to process a gift card refund. You can copy and paste these values in the Body Params section above to be used by the Try It feature
{
"transaction_data": {
"mid": "887728202",
"creditcard": "6678249877878121",
"giftcard": 7
}
}References
-
Link to details on related response codes.
- [Payment Response Codes](doc:payment-response-codes)
default